Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057159 - cpuscaling fails: max frequency measured is lower than indicated by cpupower.
Summary: cpuscaling fails: max frequency measured is lower than indicated by cpupower.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 1.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 14:45 UTC by Greg Nichols
Modified: 2016-06-03 14:00 UTC (History)
5 users (show)

Fixed In Version: hwcert-client 1.7.0-20140210
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-13 15:05:08 UTC


Attachments (Terms of Use)
cpuscaling patch fixing max frequency expectations to assume no boost (deleted)
2014-02-04 18:05 UTC, Greg Nichols
no flags Details | Diff
additional patch on 20140407 for intel-pstate driver (deleted)
2014-02-10 17:12 UTC, Greg Nichols
no flags Details | Diff

Description Greg Nichols 2014-01-23 14:45:27 UTC
Description of problem:

The cpuscaling test (hwcert-client 1.7.0-20140122 using cpupower) fails when measuring maximum cpu frequency.  For example, a system supporting 3.6 GHz is measured at 3399 MHz.

Example output:

Error Summary:
----------------
User Space (max): Error: cpu0 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu1 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu2 in package 0 has a measured frequency of 3399 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu3 in package 0 has a measured frequency of 3399 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu4 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu5 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu6 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
User Space (max): Error: cpu7 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
Performance: Error: cpu0 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
Performance: Error: cpu1 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
Performance: Error: cpu2 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
Performance: Error: cpu3 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
Performance: Error: cpu4 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
Performance: Error: cpu5 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
Performance: Error: cpu6 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)
Performance: Error: cpu7 in package 0 has a measured frequency of 3392 MHz vs. a requirement of 3600 MHz (- 50 MHz tolerance)

Comment 2 Greg Nichols 2014-02-04 18:05:47 UTC
Created attachment 859272 [details]
cpuscaling patch fixing max frequency expectations to assume no boost

Comment 3 Greg Nichols 2014-02-10 17:07:27 UTC
Re-opening: intel_pstate driver tests still have this issue.

Comment 4 Greg Nichols 2014-02-10 17:12:38 UTC
Created attachment 861506 [details]
additional patch on 20140407 for intel-pstate driver


Note You need to log in before you can comment on or make changes to this bug.